LibreOffice: Connection Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
Connection Service Referencepublished

extends the com::sun::star::sdbc::Connection of SDBC by providing the data definitions of a connected database. More...

Inheritance diagram for Connection:

## Included Services
service | com::sun::star::sdbc::Connection
service | com::sun::star::sdbcx::DatabaseDefinition
| access to the database definition information of the connection.

## Exported Interfaces
interface | com::sun::star::container::XChild
| access to the owning data source.
interface | XCommandPreparation
| interface for complex command execution.
interface | XQueriesSupplier
| returns a container of associated queries.
interface | XSQLQueryComposerFactory
| returns a tool for composing queries.
interface | com::sun::star::lang::XMultiServiceFactory
| allows the creation of different services which can only exists with a connection.
Exported Interfaces inherited from Connection
interface | com::sun::star::lang::XComponent
| controls the closing of a connection.
interface | XConnection
| the main interface for interaction with a connection to a database.
interface | XWarningsSupplier
| controls the chaining of warnings, which may occur on every call to the connected database.
Exported Interfaces inherited from DatabaseDefinition
interface | XTablesSupplier
interface | XViewsSupplier
| The implementation is optional.
interface | XUsersSupplier
| The implementation is optional.
interface | XGroupsSupplier
| The implementation is optional.

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XConnection
XStatement | createStatement () raises (SQLException)
| creates a new com::sun::star::sdbc::Statement object for sending SQL statements to the database.
XPreparedStatement | prepareStatement ([in]string sql) raises (SQLException)
| creates a com::sun::star::sdbc::PreparedStatement object for sending parameterized SQL statements to the database.
XPreparedStatement | prepareCall ([in]string sql) raises (SQLException)
| creates a com::sun::star::sdbc::CallableStatement object for calling database stored procedures.
string | nativeSQL ([in]string sql) raises (SQLException)
| converts the given SQL statement into the system's native SQL grammar.
void | setAutoCommit ([in] boolean autoCommit) raises (SQLException)
| sets this connection's auto-commit mode.
boolean | getAutoCommit () raises (SQLException)
| gets the current auto-commit state.
void | commit () raises (SQLException)
| makes all changes made since the previous commit/rollback permanent and releases any database locks currently held by the Connection.
void | rollback () raises (SQLException)
| drops all changes made since the previous commit/rollback and releases any database locks currently held by this Connection.
boolean | isClosed () raises (SQLException)
| tests to see if a connection is closed.
XDatabaseMetaData | getMetaData () raises (SQLException)
| gets the metadata regarding this connection's database.
void | setReadOnly ([in]boolean readOnly) raises (SQLException)
| puts this connection in read-only mode as a hint to enable database optimizations.
boolean | isReadOnly () raises (SQLException)
| tests to see if the connection is in read-only mode.
void | setCatalog ([in]string catalog) raises (SQLException)
| sets a catalog name in order to select a subspace of this Connection's database in which to work.
string | getCatalog () raises (SQLException)
| returns the Connection's current catalog name.
void | setTransactionIsolation ([in]long level) raises (SQLException)
| attempts to change the transaction isolation level to the one given.
long | getTransactionIsolation () raises (SQLException)
| gets this Connection's current transaction isolation level.
com::sun::star::container::XNameAccess | getTypeMap () raises (SQLException)
| gets the type map object associated with this connection.
void | setTypeMap ([in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| installs the given type map as the type map for this connection.
Public Member Functions inherited from XCloseable
void | close () raises (SQLException)
| releases all resources connected to an object.
Public Member Functions inherited from XWarningsSupplier
any | getWarnings () raises (SQLException)
| returns the first warning reported by calls on an object that supports the usage of warnings.
void | clearWarnings () raises (SQLException)
| clears all warnings reported for the object implementing the interface.
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XCommandPreparation
com::sun::star::sdbc::XPreparedStatement | prepareCommand ([in]string command, [in] long commandType) raises (com::sun::star::sdbc::SQLException)
| creates a com::sun::star::sdbc::PreparedStatement object for sending parameterized SQL statements to the database.
Public Member Functions inherited from XTablesSupplier
com::sun::star::container::XNameAccess | getTables ()
| returns the container of tables.
Public Member Functions inherited from XQueriesSupplier
com::sun::star::container::XNameAccess | getQueries ()
| returns the container of queries.
Public Member Functions inherited from XSQLQueryComposerFactory
com::sun::star::sdb::XSQLQueryComposer | createQueryComposer ()
| creates a new query composer.
Protected Member Functions inherited from XViewsSupplier
com::sun::star::container::XNameAccess | getViews ()
| returns the container of views.
Protected Member Functions inherited from XUsersSupplier
com::sun::star::container::XNameAccess | getUsers ()
| returns the container of users.
Protected Member Functions inherited from XGroupsSupplier
com::sun::star::container::XNameAccess | getGroups ()
| returns the container of groups.
Protected Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance.
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances.

## Detailed Description

extends the com::sun::star::sdbc::Connection of SDBC by providing the data definitions of a connected database.

Developers Guide
  Database Access - Connections - Understanding Connections

## Exported Interfaces

## ◆ com::sun::star::sdbc::Connection

service com::sun::star::sdbc::Connection

## ◆ com::sun::star::sdbcx::DatabaseDefinition

service com::sun::star::sdbcx::DatabaseDefinition

access to the database definition information of the connection.

## Exported Interfaces

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

access to the owning data source.

## ◆ com::sun::star::lang::XMultiServiceFactory

interface com::sun::star::lang::XMultiServiceFactory
| optional

allows the creation of different services which can only exists with a connection.

## ◆ XCommandPreparation

interface XCommandPreparation

interface for complex command execution.

## ◆ XQueriesSupplier

interface XQueriesSupplier

returns a container of associated queries.

## ◆ XSQLQueryComposerFactory

interface XSQLQueryComposerFactory

returns a tool for composing queries.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/Connection.idl